# Template file for 'qt-devel-tools'.
#
short_desc="Qt development tools"
long_desc="${long_desc}

 This packages contains tools used to assist in Qt development, including
 the Qt Assistant, Linguist, D-Bus Viewer and Pixel Tool applications. "

gtk_iconcache_dirs="/usr/share/icons/hicolor"

Add_dependency run glibc
Add_dependency run libstdc++
Add_dependency run libgcc
Add_dependency run zlib
Add_dependency run sqlite
Add_dependency run hicolor-icon-theme
Add_dependency run qt

do_install()
{
	mkdir -p ${DESTDIR}/usr/bin
	for f in assistant* lconvert linguist pixeltool qcollectiongenerator \
		qdbusviewer qhelp* xmlpatterns* qdbus qttrace*; do
		mv ${SRCPKGDESTDIR}/usr/bin/${f} ${DESTDIR}/usr/bin || return 1
	done
	mkdir -p ${DESTDIR}/usr/lib
	mkdir -p ${DESTDIR}/usr/share/applications
	mkdir -p ${DESTDIR}/usr/share/pixmaps
	mkdir -p ${DESTDIR}/usr/share/icons

	mv ${SRCPKGDESTDIR}/usr/share/icons/hicolor \
		${DESTDIR}/usr/share/icons || return 1
	for f in linguist assistant; do
		mv ${SRCPKGDESTDIR}/usr/share/applications/${f}.desktop \
			${DESTDIR}/usr/share/applications || return 1
		[ ! -f ${SRCPKGDESTDIR}/usr/share/pixmaps/${f}.png ] && continue
		mv ${SRCPKGDESTDIR}/usr/share/pixmaps/${f}.png \
			${DESTDIR}/usr/share/pixmaps || return 1
	done

	mv ${SRCPKGDESTDIR}/usr/share/qt/translations \
		${DESTDIR}/usr/share/qt || return 1	
	mv ${SRCPKGDESTDIR}/usr/share/qt/phrasebooks \
		${DESTDIR}/usr/share/qt || return 1
}
